import * as React from "react";
import { parseRenderProps } from "./render-props";
import { parseStartProps } from "./start-props";
import { parseNextProps } from "./next-props";
import { parseTestProps } from "./test-props";
function parseForProps(props) {
    return Object.assign({}, parseRenderProps(props), parseStartProps(props), parseTestProps(props), parseNextProps(props));
}
export const For = (props) => {
    const { render, start, test, next } = parseForProps(props);
    const results = [];
    for (let i = start; test(i); i = next(i)) {
        results.push(render(i));
    }
    return React.createElement(React.Fragment, null, results);
};
//# sourceMappingURL=for.js.map