export declare type TestFunction<T> = (x?: T) => any;
interface ITest<T> {
    test: TestFunction<T>;
    comparator?: undefined;
    compare?: undefined;
}
interface IComparator<T> {
    test?: undefined;
    comparator: TestFunction<T>;
    compare?: undefined;
}
interface ICompare<T> {
    test?: undefined;
    comparator?: undefined;
    compare: TestFunction<T>;
}
export declare type TestProps<T> = ITest<T> | IComparator<T> | ICompare<T>;
export interface IParsedTestProps<T> {
    test: TestFunction<T>;
}
export declare function parseTestProps<T>(props: TestProps<T>): IParsedTestProps<T>;
export {};
